Damian Spangrud posted some information about the issue with the Service Pack 3.

All,

I apologize for the confusion; please let me clarify the situation with SP3.

A minor issue was found in the final version of SP3 which impacts developers and applications using geoprocessing tools via .Net, the core ArcGIS products functionality is not impacted. The specifics of the issue are that the .NET Geoprocessing wrappers in SP3 changed Boolean to Strings for ease of use in Visual Studio. However this API change impacts some GP tools and some existing applications and requires a minor code change and recompile to fix. However, because we generally do not require developers to recompile at service packs, we have removed the impacted setups from the download page and will be reposting fixed versions of them today with the APIs reverted back to the 9.2 final APIs. We do plan on making this API change at 9.3 instead where it can be better documented and accounted for.

The setups impacted by this issue are: Desktop ArcViewDemo DesktopHelp Desktop SDK for .NET Engine Runtime Engine SDK for .NET ArcReader ArcGIS Server for .NET ArcGIS Server Web ADF Runtime ArcIMS ADF for .NET (IMS Web page)

The other setups are unaffected and still available for download.

The setups for the impacted SP3 install will be posted later today.

If you have already installed SP3 for one of the impacted files, you will just need to install the new version of the SP3 to fix the issue without uninstalling.

We are committed to quality and sincerely apologize for missing this issue.

Sincerely, Damian